Name: brave
Version: 1.54.71
Release: 1%{?dist}
Summary: Web browser that lets you take control of your personal data
License: MPLv2.0
Group: Applications/Internet
URL: https://brave.com
BuildArch: x86_64
Requires: brave-browser

%define debug_package %{nil}

%description
Brave web browser with integrated privacy features and cryptocurrency rewards
for viewing ads. This is a meta-package which requires brave-browser from
the official repo and installs Nobara's custom policy with it.

%prep
# No preparation needed for this package

%build
# No build phase needed

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/brave/policies/managed

cat << EOF > %{buildroot}/etc/brave/policies/managed/brave_nobara-policies.json
{
    "BraveRewardsDisabled": true,
    "BraveWalletDisabled": true,
    "BraveVPNDisabled": 1,
    "BraveAIChatEnabled": false,
    "DefaultSearchProviderEnabled": true,
    "DefaultSearchProviderName": "DuckDuckGo",
    "DefaultSearchProviderSearchURL": "https://duckduckgo.com/?q={searchTerms}",
    "BookmarkBarEnabled": true,
    "TorDisabled": true,
    "DnsOverHttpsMode": "automatic"
}
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/etc/brave/policies/managed/brave_nobara-policies.json

%changelog
* Sat Apr 07 2025 Your Name <your.email@example.com> 1.54.71-1
- Initial package combining brave-browser with Nobara Linux policy configuration
